<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="da">
<head>
<!-- Generated by javadoc (1.8.0_151) on Fri May 03 08:42:00 CEST 2019 -->
<title>Protocol</title>
<meta name="date" content="2019-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Protocol";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Protocol.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../clothorganizer/Main.html" title="class in clothorganizer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../clothorganizer/RFIDHandler.html" title="class in clothorganizer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?clothorganizer/Protocol.html" target="_top">Frames</a></li>
<li><a href="Protocol.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">clothorganizer</div>
<h2 title="Interface Protocol" class="title">Interface Protocol</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Functional Interface:</dt>
<dd>This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.</dd>
</dl>
<hr>
<br>
<pre>@FunctionalInterface
public interface <span class="typeNameLabel">Protocol</span></pre>
<div class="block">The Protocol interface describes a text based protocol, that takes an input and returns a response.
 It contains three static, final, pre-implemented Protocols</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2019-04-29</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Valdemar Friis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#DEFAULT">DEFAULT</a></span></code>
<div class="block">This protocol finds out which of the other protocols to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#DISCONNECT">DISCONNECT</a></span></code>
<div class="block">This protocol instantly disconnects an app by returning null.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#ECHO">ECHO</a></span></code>
<div class="block">Test protocol that simply sends back its input</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#RENAME">RENAME</a></span></code>
<div class="block">This protocol is used to rename clothing.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#REQUEST">REQUEST</a></span></code>
<div class="block">This protocol is used for data requests from the client.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#getResponse-java.lang.String-">getResponse</a></span>(java.lang.String&nbsp;input)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ECHO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ECHO</h4>
<pre>static final&nbsp;<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a> ECHO</pre>
<div class="block">Test protocol that simply sends back its input</div>
</li>
</ul>
<a name="REQUEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REQUEST</h4>
<pre>static final&nbsp;<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a> REQUEST</pre>
<div class="block">This protocol is used for data requests from the client.
 Currently, the only type of request is the time data for each cloth.
 
 if it successfully recognizes what data is being requested, it will return that data as a string
 otherwise it will return "unknown_request"</div>
</li>
</ul>
<a name="RENAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RENAME</h4>
<pre>static final&nbsp;<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a> RENAME</pre>
<div class="block">This protocol is used to rename clothing.
 It needs the id and new name separated by a tab.
 If the id is unknown, it will return "rename_unknown_id"
 if it found the clothing with the specified id and renamed it, it will return "rename_success"</div>
</li>
</ul>
<a name="DISCONNECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISCONNECT</h4>
<pre>static final&nbsp;<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a> DISCONNECT</pre>
<div class="block">This protocol instantly disconnects an app by returning null.</div>
</li>
</ul>
<a name="DEFAULT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT</h4>
<pre>static final&nbsp;<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a> DEFAULT</pre>
<div class="block">This protocol finds out which of the other protocols to use.
 It does so by checking what the command starts with.
 It will return whatever the protocol it found says, or "unknown_command" if no protocol was found.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getResponse-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResponse</h4>
<pre>java.lang.String&nbsp;getResponse(java.lang.String&nbsp;input)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Protocol.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../clothorganizer/Main.html" title="class in clothorganizer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../clothorganizer/RFIDHandler.html" title="class in clothorganizer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?clothorganizer/Protocol.html" target="_top">Frames</a></li>
<li><a href="Protocol.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
